Skip to content

Get Customer

Required scope: customer:read

Use this endpoint to retrieve a customer after creation, or to refresh its latest public fields.

Generated Reference
POST /public-api/publicapi.v1.Customer/GetCustomer

Returns a customer by ID.

Request GetCustomerRequest
Response GetCustomerResponse

GetCustomerRequest

Field Type
id string

GetCustomerResponse

Field Type
customer Customer
{
"id": "be85f4d1-b680-4964-bf62-9828fdf4ce04"
}
Terminal window
curl https://portal.heyx.app/public-api/publicapi.v1.Customer/GetCustomer \
-H "Authorization: Bearer hx_sk_..." \
-H "Content-Type: application/json" \
-d '{
"id": "be85f4d1-b680-4964-bf62-9828fdf4ce04"
}'
{
"customer": {
"id": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"title": "Solar installation lead",
"referenceNumber": "P-000456"
}
}